function [TheTrajectory]=Simulate(BestMatrice,Cost, Traj_length, initial_Value, nbtests)
    dim=size(Cost.Cout);
    dim=dim(1);
    currentTraj=zeros(1,Traj_length);
    TheTrajectory=currentTraj;
    CTM=Concordance(BestMatrice,Cost.Squelette);
    if (Cost.Type == 1)
        for t=1:nbtests
            currentState=floor(rand()*dim)+1;
            current=initial_Value;
            for l=1:Traj_length
                currentTraj(1,l)=current;
                % Next state
                NextState=0;
                IterState=0;
                nb=rand();
                cumul=0;
                while ((cumul < nb) && (NextState < dim))
                    IterState=IterState+1;
                    if (CTM(currentState,IterState) > 0)
                        cumul=cumul+CTM(currentState,IterState);
                        NextState=IterState;
                    end
                end
                current=current*Cost.Cout(currentState,NextState);
                currentState=NextState;
            end;
            TheTrajectory=TheTrajectory+currentTraj;
        end;
        TheTrajectory=TheTrajectory/nbtests;        
    else
        for t=1:nbtests
            currentState=floor(rand()*dim)+1;
            current=initial_Value;
            for l=1:Traj_length
                currentTraj(1,l)=current;
                % Next state
                NextState=0;
                IterState=0;
                nb=rand();
                cumul=0;
                while ((cumul < nb) && (NextState < dim))
                    IterState=IterState+1;
                    if (CTM(currentState,IterState) > 0)
                        cumul=cumul+CTM(currentState,IterState);
                        NextState=IterState;
                    end
                end
                current=current+Cost.Cout(currentState,NextState);
                currentState=NextState;
            end;
            TheTrajectory=TheTrajectory+currentTraj;
        end;
        TheTrajectory=TheTrajectory/nbtests;
    end;
    return;
end